/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg;

import jakarta.persistence.EntityManager;
import jakarta.persistence.EntityManagerFactory;
import jakarta.persistence.Persistence;

/**
 *
 * @author omozegieaziegbe
 */
public class Changevaluehibernate {

    public static void main(String[] args) {
        // Create the EntityManagerFactory using the persistence unit defined in persistence.xml
        EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("EmployeePU");

        // Create the EntityManager
        EntityManager entityManager = entityManagerFactory.createEntityManager();

        try {
            // Insert a new employee with lowercase name
            entityManager.getTransaction().begin();
            Employee employee = new Employee();
            employee.setName("tommy fish");
            entityManager.persist(employee);
            entityManager.getTransaction().commit();
            System.out.println("Inserted Employee: " + employee.getName());

            // Update the employee's name
            entityManager.getTransaction().begin();
            employee.setName("tommy fish");
            entityManager.merge(employee);
            entityManager.getTransaction().commit();
            System.out.println("Updated Employee: " + employee.getName());

        } finally {
            entityManager.close();
            entityManagerFactory.close();
        }
    }
   
}
